import { defineComponent as i, useSlots as r, createElementBlock as s, openBlock as o, createCommentVNode as l, renderSlot as c, createElementVNode as n } from "vue";
const a = { class: "flex flex-col gap-2" }, d = {
  key: 0,
  class: "flex items-start justify-between gap-2"
}, _ = { class: "flex flex-col gap-2" }, p = {
  key: 0,
  class: "flex h-8 items-center"
}, f = { class: "font-bold" }, m = {
  key: 1,
  class: "text-c-2 mb-4 text-sm"
}, x = /* @__PURE__ */ i({
  __name: "Section",
  setup(u) {
    const e = r();
    return (t, h) => (o(), s("div", a, [
      e.title || e.description ? (o(), s("div", d, [
        n("div", _, [
          e.title ? (o(), s("div", p, [
            n("h3", f, [
              c(t.$slots, "title")
            ])
          ])) : l("", !0),
          e.description ? (o(), s("p", m, [
            c(t.$slots, "description")
          ])) : l("", !0)
        ]),
        e.actions ? c(t.$slots, "actions", { key: 0 }) : l("", !0)
      ])) : l("", !0),
      c(t.$slots, "default")
    ]));
  }
});
export {
  x as default
};
